#-*- coding: utf-8; -*-

require 'lib/mastermind'

describe "Guess with all the right colours in all the wrong places" do

  before do
    code = Mastermind::Code.new(:red, :white, :black, :green)
    guess = Mastermind::Code.new(:black, :red, :green, :white)
    @score = code.mark(guess)
  end

  it "should score 4 black pegs" do
    @score.black.should == 0
  end

  it "should score 4 white pegs" do
    @score.white.should == 4
  end

end
